## lhapdf 5.8.7

=== debian/changelog ===
lhapdf (5.8.7-2) unstable; urgency=low

  * Define PATH_MAX to fix FTBFS on hurd-i386.

 -- Lifeng Sun <lifongsun@gmail.com>  Sun, 03 Jun 2012 00:07:33 +0800

lhapdf (5.8.7-1) unstable; urgency=low

  * Initial release (Closes: #636978)

 -- Lifeng Sun <lifongsun@gmail.com>  Mon, 21 May 2012 12:03:10 +0800
