=== debian/control ===
Source: lhapdf
Section: science
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Lifeng Sun <lifongsun@gmail.com>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 7.0.50~), autoconf, automake, libtool, gfortran, swig, python-dev, python-support, octave-pkg-dev, doxygen-latex, ghostscript, gnuplot
Standards-Version: 3.9.3
Homepage: http://projects.hepforge.org/lhapdf/
Vcs-Git: git://git.debian.org/git/debian-science/packages/lhapdf.git
Vcs-Browser: http://git.debian.org/?p=debian-science/packages/lhapdf.git;a=summary

Package: liblhapdf0
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: lhapdf-pdfsets-minimal
Description: [Physics] Les Houches Accord PDF Interface
 LHAPDF provides a unified and easy to use interface to modern PDF sets. It is
 designed to work not only with individual PDF sets but also with the more
 recent multiple "error" sets. It can be viewed as the successor to PDFLIB,
 incorporating many of the older sets found in the latter, including pion and
 photon PDFs. In LHAPDF the computer code and input parameters/grids are
 separated thus allowing more easy updating and no limit to the expansion
 possibilities.

Package: liblhapdf-dev
Section: libdevel
Architecture: any
Depends: liblhapdf0 (= ${binary:Version}), ${misc:Depends}
Recommends: lhapdf-pdfsets-minimal
Suggests: lhapdf-ccwrap-doc
Description: [Physics] Les Houches Accord PDF Interface - development files
 LHAPDF provides a unified and easy to use interface to modern PDF sets. It is
 designed to work not only with individual PDF sets but also with the more
 recent multiple "error" sets. It can be viewed as the successor to PDFLIB,
 incorporating many of the older sets found in the latter, including pion and
 photon PDFs. In LHAPDF the computer code and input parameters/grids are
 separated thus allowing more easy updating and no limit to the expansion
 possibilities.
 .
 This package provides development files of LHAPDF, including C++ bindings.

Package: python-lhapdf
Section: python
Architecture: any
Depends: liblhapdf0 (= ${binary:Version}), ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
Recommends: lhapdf-pdfsets-minimal
Description: Python Bindings for LHAPDF
 LHAPDF provides a unified and easy to use interface to modern PDF sets. It is
 designed to work not only with individual PDF sets but also with the more
 recent multiple "error" sets. It can be viewed as the successor to PDFLIB,
 incorporating many of the older sets found in the latter, including pion and
 photon PDFs. In LHAPDF the computer code and input parameters/grids are
 separated thus allowing more easy updating and no limit to the expansion
 possibilities.
 .
 This package provides Python bindings for LHAPDF.

Package: octave-lhapdf
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: octave, liblhapdf0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Recommends: lhapdf-pdfsets-minimal
Description: Octave Bindings for LHAPDF
 LHAPDF provides a unified and easy to use interface to modern PDF sets. It is
 designed to work not only with individual PDF sets but also with the more
 recent multiple "error" sets. It can be viewed as the successor to PDFLIB,
 incorporating many of the older sets found in the latter, including pion and
 photon PDFs. In LHAPDF the computer code and input parameters/grids are
 separated thus allowing more easy updating and no limit to the expansion
 possibilities.
 .
 This package provides Octave bindings for LHAPDF.

Package: lhapdf-pdfsets-minimal
Architecture: all
Depends: python-lhapdf, ${python:Depends}, ${misc:Depends}
Description: Minimal PDF Sets of LHAPDF
 LHAPDF provides a unified and easy to use interface to modern PDF sets. It is
 designed to work not only with individual PDF sets but also with the more
 recent multiple "error" sets. It can be viewed as the successor to PDFLIB,
 incorporating many of the older sets found in the latter, including pion and
 photon PDFs. In LHAPDF the computer code and input parameters/grids are
 separated thus allowing more easy updating and no limit to the expansion
 possibilities.
 .
 This package provides a minimal PDF sets required by the test suites of
 LHAPDF.

Package: lhapdf-ccwrap-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: C++ Bindings for LHAPDF - documentation
 LHAPDF provides a unified and easy to use interface to modern PDF sets. It is
 designed to work not only with individual PDF sets but also with the more
 recent multiple "error" sets. It can be viewed as the successor to PDFLIB,
 incorporating many of the older sets found in the latter, including pion and
 photon PDFs. In LHAPDF the computer code and input parameters/grids are
 separated thus allowing more easy updating and no limit to the expansion
 possibilities.
 .
 This package provides documentation of C++ bindings for LHAPDF.
