=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
#
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.
#
# Modified to make a template file for a multi-binary package with separated
# build-arch and build-indep targets  by Bill Allombert 2001

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

CPPFLAGS :=$(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS   :=$(shell dpkg-buildflags --get CFLAGS)
CXXFLAGS :=$(shell dpkg-buildflags --get CXXFLAGS)
LDFLAGS  :=$(shell dpkg-buildflags --get LDFLAGS)

DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
cfg= --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
else
cfg=
endif

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
CFLAGS += -O0
else    
CFLAGS += -O2
endif

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	MAKEFLAGS += -j$(NUMJOBS)
endif

export CPPFLAGS CFLAGS CXXFLAGS LDFLAGS MAKEFLAGS

# package name
PKGNAME=$(strip $(shell head -n1 debian/changelog | cut -d' ' -f1))

# current Debian package version
DEBVER=$(strip $(shell head -n1 debian/changelog | cut -d' ' -f2 | tr -d '()'))

# current upstream version (remove any epoch and Debian release number)
UPVER=$(shell echo $(DEBVER) | sed -e 's/-[^-]*$$//' -e 's/^[^:]*://')

               
../$(PKGNAME)_$(UPVER).orig.tar.gz:
	dh_testdir
	./debian/get-orig-source --upstream-version $(UPVER) $@

get-orig-source: ../$(PKGNAME)_$(UPVER).orig.tar.gz

override_dh_auto_clean:
	dh_testdir
	dh_auto_clean
	rm -rf ccwrap/doxy
	rm -f octave/lhapdf.oct octave/wrapoctave.o
	rm -f pyext/lhapdf.py pyext/lhapdf_wrap.cc
	rm -f src/parmsetup.inc

override_dh_auto_configure:
	dh_testdir
	autoreconf -iv
	dh_auto_configure -- $(cfg) \
		--libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)

# OCTDIR
include /usr/share/octave/debian/defs.make

override_dh_auto_install:
	dh_auto_install
	mkdir -p debian/octave-lhapdf$(OCTDIR)
	strip --remove-section=.comment debian/tmp/usr/share/lhapdf/lhapdf.oct
	install debian/tmp/usr/share/lhapdf/lhapdf.oct \
		debian/octave-lhapdf$(OCTDIR)
	#octave-depends -poctave-lhapdf
	
build:
	dh $@

build-doc-stamp: build
	dh_testdir
	$(MAKE) -C ccwrap dox
	touch $@

binary-indep: build-doc-stamp
	dh $@

binary-arch:
	dh $@

%:
	dh $@

binary: binary-arch binary-indep
.PHONY: get-orig-source binary binary-indep binary-arch build
