=== debian/watch ===
version=3

http://projects.hepforge.org/lhapdf/ .*lhapdf-(.*)\.tar\.gz debian ./debian/get-orig-source
