## lhapdf 5.8.7+repack

=== debian/changelog ===
lhapdf (5.8.7+repack-1) unstable; urgency=low

  * Disable test-suite on hurd-i386, mips, mipsel and s390. It requires
    RAM > 2GB to pass the test-suite, while buildds of these arches have
    no enough RAM.
  * Ship new pdfsets (cteq6ll.LHpdf, GRV98nlo.LHgrid and
    MRST2001nlo.LHgrid) to make test-suite of ThePEG happy, so repack
    source tarball.
  * octave-lhapdf: it depends on extra packages, so set priority to extra.
  * debian/copyright: fix licence version.
  * debian/control
    - move doxygen-latex and ghostscript to Build-Depends-Indep field.
    - replace automake and autoconf with dh-autoreconf.

 -- Lifeng Sun <lifongsun@gmail.com>  Mon, 18 Jun 2012 10:07:12 +0800
