=== debian/control ===
--- 
+++ 
@@ -4,7 +4,8 @@
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Lifeng Sun <lifongsun@gmail.com>
 DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 7.0.50~), autoconf, automake, libtool, gfortran, swig, python-dev, python-support, octave-pkg-dev, doxygen-latex, ghostscript, gnuplot
+Build-Depends: debhelper (>= 7.0.50~), dh-autoreconf, gfortran, swig, python-dev, python-support, octave-pkg-dev, gnuplot
+Build-Depends-Indep: doxygen-latex, ghostscript
 Standards-Version: 3.9.3
 Homepage: http://projects.hepforge.org/lhapdf/
 Vcs-Git: git://git.debian.org/git/debian-science/packages/lhapdf.git
@@ -60,6 +61,7 @@
  This package provides Python bindings for LHAPDF.
 
 Package: octave-lhapdf
+Priority: extra
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
