=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
DEB_BUILD_ARCH     ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)

CPPFLAGS :=$(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS   :=$(shell dpkg-buildflags --get CFLAGS)
CXXFLAGS :=$(shell dpkg-buildflags --get CXXFLAGS)
LDFLAGS  :=$(shell dpkg-buildflags --get LDFLAGS)

ifneq (,$(findstring $(DEB_BUILD_ARCH), hurd-i386 mips mipsel s390))
DEB_BUILD_OPTIONS += nocheck
endif

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
CFLAGS += -O0
else    
CFLAGS += -O2
endif

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	NUMJOBS := $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
else
	NUMJOBS := 1
endif

export CPPFLAGS CFLAGS CXXFLAGS LDFLAGS MAKEFLAGS

# package name
PKGNAME=$(strip $(shell head -n1 debian/changelog | cut -d' ' -f1))

# current Debian package version
DEBVER=$(strip $(shell head -n1 debian/changelog | cut -d' ' -f2 | tr -d '()'))

# current upstream version (remove any epoch and Debian release number)
UPVER=$(shell echo $(DEBVER) | sed -e 's/[-\+].*$$//' -e 's/^[^:]*://')

../$(PKGNAME)_$(UPVER).orig.tar.gz:
	dh_testdir
	./debian/get-orig-source --upstream-version $(UPVER) $@

get-orig-source: ../$(PKGNAME)_$(UPVER).orig.tar.gz

clean:
	dh_testdir
	dh_autoreconf_clean
	dh_auto_clean
	dh_clean
	rm -rf ccwrap/doxy
	rm -f octave/lhapdf.oct octave/wrapoctave.o
	rm -f pyext/lhapdf.py pyext/lhapdf_wrap.cc
	rm -f src/parmsetup.inc

configure-stamp:
	dh_testdir
	dh_autoreconf
	dh_auto_configure -- \
		--prefix=/usr \
		--libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)
	touch $@

# OCTDIR
include /usr/share/octave/debian/defs.make

install: build-arch
	dh_auto_install
	mkdir -p debian/octave-lhapdf$(OCTDIR)
	strip --remove-section=.comment debian/tmp/usr/share/lhapdf/lhapdf.oct
	install debian/tmp/usr/share/lhapdf/lhapdf.oct \
		debian/octave-lhapdf$(OCTDIR)
	#octave-depends -poctave-lhapdf

build: build-arch

build-arch: configure-stamp
	$(MAKE) -j$(NUMJOBS)

build-indep: build-arch
	dh_testdir
	$(MAKE) -C ccwrap dox

binary-indep: install build-indep
	dh $@

check:
	dh_testdir
	$(MAKE) check

ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
binary-arch: check install
else
binary-arch: install
endif
	dh $@

binary: binary-arch binary-indep
.PHONY: get-orig-source binary binary-indep binary-arch build build-arch build-indep install check
