=== debian/watch ===
version=3

opts=dversionmangle=s/\+repack.*$// \
	http://projects.hepforge.org/lhapdf/ .*lhapdf-(.*)\.tar\.gz \
	debian ./debian/get-orig-source
