## lhapdf 5.8.9

=== debian/changelog ===
lhapdf (5.8.9-1) unstable; urgency=low

  * Upload to sid.

 -- Lifeng Sun <lifongsun@gmail.com>  Mon, 06 May 2013 12:21:31 +0800

lhapdf (5.8.9-1~exp1) experimental; urgency=low

  * New upstream release.

 -- Lifeng Sun <lifongsun@gmail.com>  Mon, 18 Mar 2013 23:48:14 +0800

lhapdf (5.8.8-1~exp1) experimental; urgency=low

  * New upstream release.
  * debian/rules: change to tiny-style.
  * Move lhapdf-getdata script from lhapdf-pdfsets-minimal to
    python-lhapdf.

 -- Lifeng Sun <lifongsun@gmail.com>  Fri, 13 Jul 2012 21:58:38 +0800
