=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Lifeng Sun <lifongsun@gmail.com>
 DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 7.0.50~), dh-autoreconf, gfortran, swig, python-dev, python-support, octave-pkg-dev, gnuplot
+Build-Depends: debhelper (>= 8), dh-autoreconf, gfortran, swig, python-dev, python-support, octave-pkg-dev, gnuplot
 Build-Depends-Indep: doxygen-latex, ghostscript
 Standards-Version: 3.9.3
 Homepage: http://projects.hepforge.org/lhapdf/
@@ -47,8 +47,8 @@
 Package: python-lhapdf
 Section: python
 Architecture: any
-Depends: liblhapdf0 (= ${binary:Version}), ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
-Recommends: lhapdf-pdfsets-minimal
+Depends: lhapdf-pdfsets-minimal (= ${source:Version}), ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
+Breaks: lhapdf-pdfsets-minimal (<< 5.8.8)
 Description: Python Bindings for LHAPDF
  LHAPDF provides a unified and easy to use interface to modern PDF sets. It is
  designed to work not only with individual PDF sets but also with the more
@@ -80,7 +80,8 @@
 
 Package: lhapdf-pdfsets-minimal
 Architecture: all
-Depends: python-lhapdf, ${python:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}
+Recommends: python-lhapdf
 Description: Minimal PDF Sets of LHAPDF
  LHAPDF provides a unified and easy to use interface to modern PDF sets. It is
  designed to work not only with individual PDF sets but also with the more
@@ -91,7 +92,10 @@
  possibilities.
  .
  This package provides a minimal PDF sets required by the test suites of
- LHAPDF.
+ LHAPDF and ThePEG.
+ .
+ Note: the python-lhapdf package provides lhapdf-getdata script to download
+ other PDF sets.
 
 Package: lhapdf-ccwrap-doc
 Section: doc
