## lhapdf 5.9.1

=== debian/changelog ===
lhapdf (5.9.1-6) unstable; urgency=medium

  * Team upload.

  [ Rafael Laboissiere ]
  * Build-depend on dh-octave instead of octave-pkg-dev (Closes: #890077)

  [ Sébastien Villemot ]
  * Fix d/watch, and bump it to version 4.
    Note that download of new upstream versions will fail because
    debian/get-orig-source needs updating.
  * Update Homepage in d/control and d/copyright.
  * Install the *.oct file into a private directory.
    Thanks to Rafael Laboissiere (Closes: #734043)
  * Update Vcs-* fields for salsa.
  * Bump to debhelper compat level 9.
  * Bump octave-lhapdf to Priority: optional.

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 11 Feb 2018 11:35:57 +0100

lhapdf (5.9.1-5) unstable; urgency=medium

  * Team upload.
  * Remove build-conflicts with automake and instead request the use of
    automake-1.1 through d/rules.  Closes: #859710
  * Use HTTPS in Vcs-* fields.
  * Mark the arch:all packages as Multi-Arch:foreign (from the m-a hinter).

 -- Mattia Rizzolo <mattia@debian.org>  Thu, 06 Apr 2017 14:45:38 +0200

lhapdf (5.9.1-4) unstable; urgency=medium

  * Team upload.
  * Rename liblhapdf0 to liblhapdf0v5 for g++-5 transition.
    (Closes: #797756)

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 19 Sep 2015 11:46:12 +0200

lhapdf (5.9.1-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build using dh-python. Closes: #786122.

 -- Matthias Klose <doko@debian.org>  Sat, 22 Aug 2015 10:38:17 +0200

lhapdf (5.9.1-3) unstable; urgency=low

  * Disable tests on armel and armhf to avoid FTBFS.

 -- Lifeng Sun <lifongsun@gmail.com>  Tue, 17 Dec 2013 08:39:27 +0800

lhapdf (5.9.1-2) unstable; urgency=low

  * debian/rules: export DEB_BUILD_OPTIONS to disable tests on hurd-i386,
    mips, mipsel and s390. (Thanks to Dejan Latinovic
    <Dejan.Latinovic@imgtec.com>)
  * Import previous debian/changelog from Gürkan Sengün.

 -- Lifeng Sun <lifongsun@gmail.com>  Sun, 15 Dec 2013 19:03:05 +0800

lhapdf (5.9.1-1) unstable; urgency=low

  * New upstream release.
  * Canonical VCS-* fields.
  * Bump Standards-Version to 3.9.4.
  * Remove obsolte DM-Upload-Allowed field.
  * Build depends on automake1.11.

 -- Lifeng Sun <lifongsun@gmail.com>  Sat, 14 Dec 2013 20:14:13 +0800

lhapdf (5.3.1-2) unstable; urgency=medium

  * QA upload.
  * Add an include for cstring in test-lhapdf-ccwrap.cc to
    avoid FTBFS. (Closes: #477487, #477963)
  * debian/rules:
    + Add support for cross build detection in debian/rules.
    + Enforce usage of gfortran by passing it to configure.
    + Use chrpath to delete rpath.
    + Use quilt for patching.
  * debian/control
    + Drop g77 dependency.
    + Build-Depend on chrpath for rpath removal.
    + Add quilt for patch management.
  
 -- Kumar Appaiah <akumar@ee.iitm.ac.in>  Thu, 01 May 2008 18:39:19 +0530

lhapdf (5.3.1-1) unstable; urgency=low

  * QA upload.
    + Set maintainer to Debian QA Group <packages@qa.debian.org>
  * New upstream release.
  * Make binNMU safe.
  * Move Homepage from package description to source header.
  * Create -dev package. Make policy compliant.
  * Make clean target not ignore errors.
  * Suggest liblhapdf0 for liblhapdf-data. (Closes: #413159).
  * Bump Standards Version to 3.7.3. (No changes needed).

 -- Barry deFreese <bddebian@comcast.net>  Sun, 13 Apr 2008 12:04:09 -0400

lhapdf (5.3.0-1) unstable; urgency=low

  * New upstream version.

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Tue,  6 Mar 2007 14:11:12 +0100

lhapdf (5.2.3-1) unstable; urgency=low

  * Initial release. (Closes: #407273)

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Mon,  8 Jan 2007 10:25:23 +0100
