=== debian/control ===
--- 
+++ 
@@ -3,21 +3,22 @@
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Lifeng Sun <lifongsun@gmail.com>
-DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 8), dh-autoreconf, gfortran, swig, python-dev, python-support, octave-pkg-dev, gnuplot
+Build-Depends: debhelper (>= 9), dh-autoreconf, automake1.11, gfortran, swig, python-dev, dh-python, gnuplot, dh-octave
 Build-Depends-Indep: doxygen-latex, ghostscript
-Standards-Version: 3.9.3
-Homepage: http://projects.hepforge.org/lhapdf/
-Vcs-Git: git://git.debian.org/git/debian-science/packages/lhapdf.git
-Vcs-Browser: http://git.debian.org/?p=debian-science/packages/lhapdf.git;a=summary
+Standards-Version: 3.9.4
+Homepage: https://lhapdf.hepforge.org/
+Vcs-Git: https://salsa.debian.org/science-team/lhapdf.git
+Vcs-Browser: https://salsa.debian.org/science-team/lhapdf
 
-Package: liblhapdf0
+Package: liblhapdf0v5
 Section: libs
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Recommends: lhapdf-pdfsets-minimal
+Conflicts: liblhapdf0
+Replaces: liblhapdf0
 Description: [Physics] Les Houches Accord PDF Interface
  LHAPDF provides a unified and easy to use interface to modern PDF sets. It is
  designed to work not only with individual PDF sets but also with the more
@@ -30,7 +31,7 @@
 Package: liblhapdf-dev
 Section: libdevel
 Architecture: any
-Depends: liblhapdf0 (= ${binary:Version}), ${misc:Depends}
+Depends: liblhapdf0v5 (= ${binary:Version}), ${misc:Depends}
 Recommends: lhapdf-pdfsets-minimal
 Suggests: lhapdf-ccwrap-doc
 Description: [Physics] Les Houches Accord PDF Interface - development files
@@ -61,11 +62,10 @@
  This package provides Python bindings for LHAPDF.
 
 Package: octave-lhapdf
-Priority: extra
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: octave, liblhapdf0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Depends: ${octave:Depends}, liblhapdf0v5 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Recommends: lhapdf-pdfsets-minimal
 Description: Octave Bindings for LHAPDF
  LHAPDF provides a unified and easy to use interface to modern PDF sets. It is
@@ -80,6 +80,7 @@
 
 Package: lhapdf-pdfsets-minimal
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Recommends: python-lhapdf
 Description: Minimal PDF Sets of LHAPDF
@@ -100,6 +101,7 @@
 Package: lhapdf-ccwrap-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Description: C++ Bindings for LHAPDF - documentation
  LHAPDF provides a unified and easy to use interface to modern PDF sets. It is
