=== debian/rules ===
--- 
+++ 
@@ -16,11 +16,15 @@
 
 FFLAGS := -D_FORTIFY_SOURCE=2 -fstack-protector --param=ssp-buffer-size=4
 
-ifneq (,$(findstring $(DEB_BUILD_ARCH), hurd-i386 mips mipsel s390))
+ifneq (,$(findstring $(DEB_BUILD_ARCH), hurd-i386 mips mipsel s390 armel armhf))
 DEB_BUILD_OPTIONS += nocheck
 endif
+export DEB_BUILD_OPTIONS
 
 export CPPFLAGS CFLAGS CXXFLAGS LDFLAGS FFLAGS
+
+export AUTOMAKE = automake-1.11
+export ACLOCAL = aclocal-1.11
 
 override_dh_auto_clean:
 	dh_auto_clean
@@ -29,25 +33,20 @@
 	rm -f pyext/lhapdf.py pyext/lhapdf_wrap.cc
 	rm -f src/parmsetup.inc
 
-override_dh_auto_configure:
-	dh_auto_configure -- \
-		--prefix=/usr \
-		--libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)
-
 # OCTDIR
 include /usr/share/octave/debian/defs.make
 
 override_dh_auto_install:
 	dh_auto_install
-	mkdir -p debian/octave-lhapdf$(OCTDIR)
+	mkdir -p debian/octave-lhapdf$(OCTDIR)/lhapdf
 	strip --remove-section=.comment debian/tmp/usr/share/lhapdf/lhapdf.oct
 	install debian/tmp/usr/share/lhapdf/lhapdf.oct \
-		debian/octave-lhapdf$(OCTDIR)
-	#octave-depends -poctave-lhapdf
+		debian/octave-lhapdf$(OCTDIR)/lhapdf
+	dh_octave_substvar -poctave-lhapdf
 
 override_dh_auto_build-indep:
 	dh_auto_build
 	$(MAKE) -C ccwrap dox
 
 %:
-	dh $@ --with autoreconf --parallel
+	dh $@ --with autoreconf,python2 --parallel
