=== debian/watch ===
version=4
http://www.hepforge.org/downloads/lhapdf/ .*LHAPDF-(.*)\.tar\.gz \
	debian ./debian/get-orig-source
